Update contact

​
Required Scopes:

contacts:write

Path Parameters

  • The uid of the contact

Body·

  • The primary email for the contact.

  • The contact's display name.

  • An SMS-enabled phone number for the contact. Must be a US or Canadian-based number.

  • A secondary email for the contact. Must be different from email.

Responses

  • application/json
  • application/json
  • application/json
Request Example for patch/v1/contacts/{uid}/
curl https://api.foundation.dev.trusspayments.com/v1/contacts/123e4567-e89b-12d3-a456-426614174000/ \
  --request PATCH \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "name": "",
  "email": "",
  "secondary_email": null,
  "phone": null
}'
{
  "uid": "123e4567-e89b-12d3-a456-426614174000",
  "name": "string",
  "email": null,
  "secondary_email": null,
  "phone": null,
  "oauth_connection_id": "123e4567-e89b-12d3-a456-426614174000"
}